%global url_ver %%(echo %{version} | cut -d. -f1)

Summary:	Bluetooth graphical utilities
Name:		gnome-bluetooth
Version:	42.6
Release:	2%{?dist}
License:	GPLv2+
URL:		https://wiki.gnome.org/Projects/GnomeBluetooth
Source0:	https://download.gnome.org/sources/gnome-bluetooth/%{url_ver}/gnome-bluetooth-%{version}.tar.xz

BuildRequires:	gettext meson
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk3-devel libadwaita-devel systemd-devel
BuildRequires:	pkgconfig(gsound) pkgconfig(libnotify)
BuildRequires:	pkgconfig(upower-glib)

Requires:	%{name}-libs = %{version}-%{release}
Requires:	bluez >= 5.0
Requires:	pulseaudio-module-bluetooth
Requires:	bluez-obexd

Provides:	dbus-bluez-pin-helper

%description
The gnome-bluetooth package contains graphical utilities to setup,
monitor and use Bluetooth devices.

%package libs
Summary:	GTK+ Bluetooth device selection widgets
License:	LGPLv2+

%description libs
This package contains libraries needed for applications that
want to display a Bluetooth device selection widget.

%package libs-devel
Summary:	Development files for %{name}-libs
License:	LGPLv2+
Requires:	%{name}-libs = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description libs-devel
This package contains the libraries and header files that are needed
for writing applications that require a Bluetooth device selection widget.

%prep
%autosetup

%build
%meson -Dgtk_doc=false
%meson_build

%install
%meson_install

%find_lang gnome-bluetooth-3.0

%files
%license COPYING
%doc README.md NEWS
%{_bindir}/bluetooth-sendto
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-bluetooth-3.0/
%{_mandir}/man1/*

%files -f gnome-bluetooth-3.0.lang libs
%license COPYING.LIB
%{_libdir}/libgnome-bluetooth-3.0.so.*
%{_libdir}/libgnome-bluetooth-ui-3.0.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GnomeBluetooth-3.0.typelib

%files libs-devel
%{_includedir}/gnome-bluetooth-3.0/
%{_libdir}/libgnome-bluetooth-3.0.so
%{_libdir}/libgnome-bluetooth-ui-3.0.so
%{_libdir}/pkgconfig/gnome-bluetooth-3.0.pc
%{_libdir}/pkgconfig/gnome-bluetooth-ui-3.0.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GnomeBluetooth-3.0.gir

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.6-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 Shuo Wang <abushwang@tencent.com> - 42.6-1
- update to 42.6

* Fri Aug 18 2023 cunshunxia <cunshunxia@tencent.com> - 42.4-4
- Rebuilt for upower 1.90.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.4-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 7 2022 cunshunxia <cunshunxia@tencent.com> - 42.4-1
- initial build
